Skip to main content
GET
Get contract current version

Authorizations

x-api-key
string
header
required

API key for authentication. Get your key at https://app.tomorro.com/settings/integrations?integration=api-key

Path Parameters

id
string
required

The unique identifier (UUID) of the contract

Example:

"550e8400-e29b-41d4-a716-446655440000"

Response

Current version with a download URL

id
string
required

Unique identifier (UUID) of the current contract version.

Example:

"550e8400-e29b-41d4-a716-446655440000"

filename
string
required

Filename of the current document.

Example:

"NDA - Acme Corp.docx"

contentType
enum<string>
required

MIME content type of the current document. Always PDF or DOCX.

Available options:
application/pdf,
application/vnd.openxmlformats-officedocument.wordprocessingml.document
Example:

"application/vnd.openxmlformats-officedocument.wordprocessingml.document"

downloadUrl
string
required

Short-lived pre-signed URL to download the current document.

Example:

"https://s3.amazonaws.com/bucket/path?X-Amz-Signature=..."

expiresAt
string<date-time>
required

Date at which downloadUrl expires. Re-call the endpoint to obtain a fresh URL.

Example:

"2026-04-24T10:45:00.000Z"